// 导入当前目录下的所有图标组件
const modules = {};

const requireComponent = require.context(
	'./',
	true,
	/\.vue$/
);

requireComponent.keys().forEach(fileName => {
	// 获取组件配置
	const componentConfig = requireComponent(fileName);
	// 获取组件名，可以根据需要修改这里的逻辑
	const componentName = fileName.replace(/^\.\/(.*)\.\w+$/, '$1');
	// 全局注册组件
	modules[componentName] = componentConfig.default;
});

export default {
	...modules
}
